Package javax.media.j3d

# Class WakeupCondition

java.lang.Object
javax.media.j3d.WakeupCondition

Direct Known Subclasses:
  `WakeupAnd`, `WakeupAndOfOrs`, `WakeupCriterion`, `WakeupOr`, `WakeupOrOfAnds`

public abstract class WakeupCondition extends Object
An abstract class specifying a single wakeup Condition. This class is extended by the WakeupCriterion, WakeupOr, WakeupAnd, WakeupOrOfAnds, and WakeupAndOfOr classes. A Behavior node hands a WakeupCondition object to the behavior scheduler and the behavior scheduler hands back an enumeration of that WakeupCondition.

## Constructor Summary

Constructors
Constructor
Description
`WakeupCondition()`

## Method Summary

Modifier and Type
Method
Description
`Enumeration`
`allElements()`
Returns an enumeration of all WakeupCriterias in this Condition.
`Enumeration`
`triggeredElements()`
Returns an enumeration of all triggered WakeupCriterias in this Condition.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WakeupCondition

public WakeupCondition()

## Method Details

### allElements

public Enumeration allElements()
Returns an enumeration of all WakeupCriterias in this Condition.

### triggeredElements

public Enumeration triggeredElements()
Returns an enumeration of all triggered WakeupCriterias in this Condition.